package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiHollandRulesMapper;
import com.ruoyi.syzy.domain.BBusiHollandRules;
import com.ruoyi.syzy.service.IBBusiHollandRulesService;

/**
 * 霍兰德测评规则Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@Service
public class BBusiHollandRulesServiceImpl implements IBBusiHollandRulesService {
    @Autowired
    private BBusiHollandRulesMapper bBusiHollandRulesMapper;

    /**
     * 查询霍兰德测评规则
     * 
     * @param id 霍兰德测评规则ID
     * @return 霍兰德测评规则
     */
    @Override
    public BBusiHollandRules selectBBusiHollandRulesById(Long id) {
        return bBusiHollandRulesMapper.selectBBusiHollandRulesById(id);
    }

    /**
     * 查询霍兰德测评规则列表
     * 
     * @param bBusiHollandRules 霍兰德测评规则
     * @return 霍兰德测评规则
     */
    @Override
    public List<BBusiHollandRules> selectBBusiHollandRulesList(BBusiHollandRules bBusiHollandRules) {
        return bBusiHollandRulesMapper.selectBBusiHollandRulesList(bBusiHollandRules);
    }

    /**
     * 新增霍兰德测评规则
     * 
     * @param bBusiHollandRules 霍兰德测评规则
     * @return 结果
     */
    @Override
    public int insertBBusiHollandRules(BBusiHollandRules bBusiHollandRules) {
        return bBusiHollandRulesMapper.insertBBusiHollandRules(bBusiHollandRules);
    }

    /**
     * 修改霍兰德测评规则
     * 
     * @param bBusiHollandRules 霍兰德测评规则
     * @return 结果
     */
    @Override
    public int updateBBusiHollandRules(BBusiHollandRules bBusiHollandRules) {
        return bBusiHollandRulesMapper.updateBBusiHollandRules(bBusiHollandRules);
    }

    /**
     * 批量删除霍兰德测评规则
     * 
     * @param ids 需要删除的霍兰德测评规则ID
     * @return 结果
     */
    @Override
    public int deleteBBusiHollandRulesByIds(Long[] ids) {
        return bBusiHollandRulesMapper.deleteBBusiHollandRulesByIds(ids);
    }

    /**
     * 删除霍兰德测评规则信息
     * 
     * @param id 霍兰德测评规则ID
     * @return 结果
     */
    @Override
    public int deleteBBusiHollandRulesById(Long id) {
        return bBusiHollandRulesMapper.deleteBBusiHollandRulesById(id);
    }
}
